Package kiyut.sketsa

## Class Application

- java.lang.Object
- - kiyut.sketsa.Application

-     public class Application
      extends Object

  Application Class. This class contains static information about the application eg: name, version. etc
  Author:
    KIYUT

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getBuildNumber()` | Return Build Number in the format YYYYMMDDHHMM
    `static String` | `getFullName()` | Return Application Full Name
    `static String` | `getFullNameVersion()` | Convenience method for getting application full name and version
    `static Image` | `getIconImage()` | Return icon image
    `static String` | `getMessage​(String resName)` | Application Global Message localization bundle
    `static String` | `getName()` | Return Application Name
    `static String` | `getVersion()` | Return Application Version
    `static boolean` | `isBeta()` | Return beta version or not

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMessage

          public static String getMessage​(String resName)

      Application Global Message localization bundle
      Parameters:
        `resName` - Resources Name
      Returns:
        String

    - #### getName

          public static String getName()

      Return Application Name
      Returns:
        name

    - #### getFullName

          public static String getFullName()

      Return Application Full Name
      Returns:
        Full Name

    - #### getFullNameVersion

          public static String getFullNameVersion()

      Convenience method for getting application full name and version
      Returns:
        full name with version appended

    - #### getVersion

          public static String getVersion()

      Return Application Version
      Returns:
        version

    - #### getBuildNumber

          public static String getBuildNumber()

      Return Build Number in the format YYYYMMDDHHMM
      Returns:
        buildNumber

    - #### isBeta

          public static boolean isBeta()

      Return beta version or not
      Returns:
        true if beta, otherwise false

    - #### getIconImage

          public static Image getIconImage()

      Return icon image
      Returns:
        image